<?xml version="1.0" encoding="UTF-8"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->


<project>
  <!-- the version of maven's project object model -->

  <pomVersion>3</pomVersion>
  <!-- a unique name for this project -->

  <id>maven-examples-simple-filtering</id>
  <!-- a short but descriptive name for the project -->

  <name>Simple Filtering</name>
  <!-- The version of the project under development, e.g.
       1.1, 1.2, 2.0-dev -->

  <currentVersion>1.0-SNAPSHOT</currentVersion>
  <!-- details about the organization that 'owns' the project -->

  <organization>
    <name>Apache Software Foundation</name>
    <url>http://jakarta.apache.org/</url>
  </organization>
  <!-- the year the project started -->

  <inceptionYear>2002</inceptionYear>
  <!-- the top level of java packages that this project defines
       e.g. if your project contains the packages
       com.mycompany.accounts.reports, com.mycompany.accounts.reports
       and com.mycompany.accounts.utils, the package would be
       'com.mycompany.accounts' -->

  <package>org.apache.maven.examples.simplefiltering</package>
  <!-- a short description of what the project does -->

  <shortDescription>A simple project showing filtering of resources</shortDescription>
  <!-- the project home page -->

  <url>http://maven.apache.org/</url>
  <!-- the version control repository and http url for online access
       the connection element has the form:
       scm:<system>:<system specific connection string> -->

  <repository>
    <connection>scm:cvs:pserver:anoncvs@cvs.apache.org:/home/cvspublic:maven</connection>
    <url>http://cvs.apache.org/viewcvs/maven/</url>
  </repository>
  <!-- any mailing lists for the project -->

  <mailingLists/>
  <!-- who the developers are for the project -->

  <developers/>
  <!-- jar files the project is dependent on -->

  <dependencies/>
  <!-- build information for the project -->

  <build>
    <sourceDirectory>src/java</sourceDirectory>
    <resources>
      <resource>
        <filtering>true</filtering>
        <directory>src/conf</directory>
        <includes>
          <include>test.properties</include>
        </includes>
      </resource>
      <resource>
        <directory>src/conf</directory>
        <includes>
          <include>test-nofilter.properties</include>
        </includes>
      </resource>
    </resources>
  </build>
</project>
